<?php 
$wp_customize->add_section( 'buconz_starter_about_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 3,
	'title'                 => __( 'About Us', 'buconz-starter' ),
	'description'           => __( 'Add about image & Content', 'buconz-starter' ),
	'panel'                 => 'buconz_starter_front_option'
) );

$wp_customize->add_setting( 'buconz_starter_about_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'buconz_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'buconz_starter_about_enable',
  array(
    'label'         => esc_html__( 'Show Call to action', 'buconz-starter' ),
    'section'       => 'buconz_starter_about_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

// Add Image
$wp_customize->add_setting('buconz_starter_about_image_one', array(
    'transport'         => 'refresh',
    'width'         => 400,
    'height'         => 432,
	'sanitize_callback'     => 'buconz_starter_sanitize_image'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'buconz_starter_about_image_one', array(
    'label'             => __('Upload about image one', 'buconz-starter'),
    'section'           => 'buconz_starter_about_section',
    'settings'          => 'buconz_starter_about_image_one',
)));    


// Add Image
$wp_customize->add_setting('buconz_starter_about_image_two', array(
    'transport'         => 'refresh',
    'width'         => 400,
    'height'         => 432,
	'sanitize_callback'     => 'buconz_starter_sanitize_image'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'buconz_starter_about_image_two', array(
    'label'             => __('Upload about image Two', 'buconz-starter'),
    'section'           => 'buconz_starter_about_section',
    'settings'          => 'buconz_starter_about_image_two',
)));    












$wp_customize->add_setting( 'buconz_starter_ex_number', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_ex_number', array(
    'label'                 =>  __( 'Experience Number', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_ex_number',
) );


$wp_customize->add_setting( 'buconz_starter_ex_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_ex_content', array(
    'label'                 =>  __( 'Experience Text', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_ex_content',
) );


$wp_customize->add_setting( 'buconz_starter_about_top_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_about_top_title', array(
    'label'                 =>  __( 'about section top badge', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_about_top_title',
) );

$wp_customize->add_setting( 'buconz_starter_about_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_about_title', array(
    'label'                 =>  __( 'about section title', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_about_title',
) );

$wp_customize->add_setting( 'buconz_starter_about_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_about_content', array(
    'label'                 =>  __( 'about section description', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_about_content',
) );

$wp_customize->add_setting( 'buconz_starter_about_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'buconz_starter_about_content', array(
    'label'                 =>  __( 'Type Section Description', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_about_content',
) );


//	Features One
$wp_customize->add_setting( 'buconz_starter_features_one_icon', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_features_one_icon', array(
    'label'                 =>  __( 'Type Features Icon ', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_one_icon',
	 'description'           => sprintf( __( 'For icon,  You can use font awesome icon: (fa fa-building-o) Eg: %1$s. %2$s See more here %3$s', 'buconz-starter' ), $buconz_starter_about,'<a href="'.esc_url('http://fontawesome.io/icons/').'">','</a>'),
) );

$wp_customize->add_setting( 'buconz_starter_features_one_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_features_one_title', array(
    'label'                 =>  __( 'Features 1 Title', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_one_title',
) );

$wp_customize->add_setting( 'buconz_starter_features_one_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'buconz_starter_features_one_text', array(
    'label'                 =>  __( 'Features 1 Text', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_one_text',
) );


//	Features Two
$wp_customize->add_setting( 'buconz_starter_features_two_icon', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_features_two_icon', array(
    'label'                 =>  __( 'Type Features Icon ', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_two_icon',
	 'description'           => sprintf( __( 'For icon,  You can use font awesome icon: (fa-graduation-cap) Eg: %1$s. %2$s See more here %3$s', 'buconz-starter' ), $buconz_starter_about,'<a href="'.esc_url('http://fontawesome.io/icons/').'">','</a>'),
) );
$wp_customize->add_setting( 'buconz_starter_features_two_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_features_two_title', array(
    'label'                 =>  __( 'Features 2 Title', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_two_title',
) );

$wp_customize->add_setting( 'buconz_starter_features_two_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'buconz_starter_features_two_text', array(
    'label'                 =>  __( 'Features 2 Text', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_features_two_text',
) );


//	About Button Text
$wp_customize->add_setting( 'buconz_starter_about_button', array(
    'capability'            => 'edit_theme_options',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_about_button', array(
    'label'                 =>  __( 'Type about button text ', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_about_button',
) );

//	About Button Link
$wp_customize->add_setting( 'buconz_starter_about_button_link', array(
    'capability'            => 'edit_theme_options',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'buconz_starter_about_button_link', array(
    'label'                 =>  __( 'Type about button link', 'buconz-starter' ),
    'section'               => 'buconz_starter_about_section',
    'type'                  => 'url',
    'settings'              => 'buconz_starter_about_button_link',
) );